Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLImageElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLImageElement
extends HTMLElement

Embedded image. See the IMG element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`String` | `getBorder()` Width of border around image.
`String` | `getHeight()` Override height.
`String` | `getHspace()` Horizontal space to the left and right of this image.
`boolean` | `getIsMap()` Use server-side image map.
`String` | `getLongDesc()` URI designating a long description of this image or frame.
`String` | `getLowSrc()` URI designating the source of this image, for low-resolution output.
`String` | `getName()` The name of the element (for backwards compatibility).
`String` | `getSrc()` URI designating the source of this image.
`String` | `getUseMap()` Use client-side image map.
`String` | `getVspace()` Vertical space above and below this image.
`String` | `getWidth()` Override width.
`void` | `setAlign(String align)`
`void` | `setAlt(String alt)`
`void` | `setBorder(String border)`
`void` | `setHeight(String height)`
`void` | `setHspace(String hspace)`
`void` | `setIsMap(boolean isMap)`
`void` | `setLongDesc(String longDesc)`
`void` | `setLowSrc(String lowSrc)`
`void` | `setName(String name)`
`void` | `setSrc(String src)`
`void` | `setUseMap(String useMap)`
`void` | `setVspace(String vspace)`
`void` | `setWidth(String width)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getLowSrc

    public String getLowSrc()

  URI designating the source of this image, for low-resolution output.

### setLowSrc

    public void setLowSrc(String lowSrc)

### getName

    public String getName()

  The name of the element (for backwards compatibility).

### setName

    public void setName(String name)

### getAlign

    public String getAlign()

  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setAlign

    public void setAlign(String align)

### getAlt

    public String getAlt()

  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.

### setAlt

    public void setAlt(String alt)

### getBorder

    public String getBorder()

  Width of border around image. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setBorder

    public void setBorder(String border)

### getHeight

    public String getHeight()

  Override height. See the height attribute definition in HTML 4.0.

### setHeight

    public void setHeight(String height)

### getHspace

    public String getHspace()

  Horizontal space to the left and right of this image. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setHspace

    public void setHspace(String hspace)

### getIsMap

    public boolean getIsMap()

  Use server-side image map. See the ismap attribute definition in HTML 4.0.

### setIsMap

    public void setIsMap(boolean isMap)

### getLongDesc

    public String getLongDesc()

  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.

### setLongDesc

    public void setLongDesc(String longDesc)

### getSrc

    public String getSrc()

  URI designating the source of this image. See the src attribute definition in HTML 4.0.

### setSrc

    public void setSrc(String src)

### getUseMap

    public String getUseMap()

  Use client-side image map. See the usemap attribute definition in HTML 4.0.

### setUseMap

    public void setUseMap(String useMap)

### getVspace

    public String getVspace()

  Vertical space above and below this image. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setVspace

    public void setVspace(String vspace)

### getWidth

    public String getWidth()

  Override width. See the width attribute definition in HTML 4.0.

### setWidth

    public void setWidth(String width)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.